%global shortname common

%global submodule_util zanata-%{shortname}-util
%global submodule_po zanata-adapter-po
%global submodule_properties zanata-adapter-properties
%global submodule_xliff zanata-adapter-xliff
%global submodule_glossary zanata-adapter-glossary

Name:           zanata-%{shortname}
Version:        3.3.0 
Release:        4%{?dist}
Summary:        Zanata common modules

Group:          Development/Libraries
License:        LGPLv2+
URL:            https://github.com/zanata/%{name}
Source0:        https://github.com/zanata/%{name}/archive/%{shortname}-%{version}.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  zanata-parent
BuildRequires:  mvn(net.sourceforge.findbugs:annotations)
BuildRequires:  zanata-api
BuildRequires:  openprops
BuildRequires:  jgettext
BuildRequires:  opencsv
BuildRequires:  jackson
BuildRequires:  guava
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-codec
BuildRequires:  xom >= 1.0-15

Requires:       zanata-api
Requires:       openprops
Requires:       jgettext
Requires:       opencsv
Requires:       slf4j
Requires:       jackson
Requires:       guava
Requires:       apache-commons-io
Requires:       apache-commons-codec
Requires:       xom >= 1.0-15

%description
Zanata common modules


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{shortname}.
This includes submodules:
%{submodule_util}, 
%{submodule_po}, 
%{submodule_properties}, 
%{submodule_xliff} and %{submodule_glossary}

%prep
%setup -q -n %{name}-%{shortname}-%{version}
%pom_remove_dep com.google.code.findbugs:annotations %{submodule_util}
%pom_xpath_inject "pom:dependencies" "<dependency><groupId>net.sourceforge.findbugs</groupId><artifactId>annotations</artifactId><version>2.0.2</version></dependency>" %{submodule_util}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.txt COPYING.LESSER COPYING.GPL

%files javadoc -f .mfiles-javadoc


%changelog
* Mon Jul 28 2014 Patrick Huang <pahuang@redhat.com> - 3.3.0-4
- Bumper release number

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Patrick Huang <pahuang@redhat.com> - 3.3.0-1
- Upgrade to latest upstream version

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.1.0-6
- Use Requires: java-headless rebuild (#1067528)

* Wed Jan 29 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-5
- require xom greater than specific version

* Wed Jan 29 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-4
- rebuild for xom fix

* Mon Jan 20 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-3
- Explicit listing BR and R

* Fri Jan 17 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-2
- Add requires

* Thu Jan 09 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-1
- Latest upstream version

* Wed Sep 4 2013 Patrick Huang <pahuang@redhat.com> 3.0.2-1
- Latest upstream version

* Thu Aug 22 2013 Patrick Huang <pahuang@redhat.com> 3.0.1-1
- Latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-5
- Minor cosmetic change

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-4
- Minor cosmetic change

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-3
- Remove javadoc subpackage require %{?_isa}
- Change javadoc installation location
- Change license to LGPLv2+

* Wed May 1 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-2
- Add missing pom for f19-

* Tue Mar 19 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-1
- Upstream version update

* Thu Feb 28 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-1
- Upstream version update

* Mon Feb 11 2013 Patrick Huang <pahuang@redhat.com> 2.1.1-1
- Initial RPM package
